Metacat - Bug #5567

Click the schedule button on sankparks skin got an blank page
12/15/2011 10:31 AM - Jing Tao

Status: Resolved Start date: 12/15/2011
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 5567

Description

Click TPC worklfow link on the sanparks skin, user will get a list of workflows. Every workflow has three associated actions. One of
them is Schedule. But click the button, it just shows a blank page. It worked, but i don't know why it doesn't work any more.

History

#1 - 12/20/2011 11:57 AM - Jing Tao

In scheduleWorkflowRun.jsp file, it has code like:
String karld = LSIDUtil.getDocld(karLsid, false);
PermissionController permissionController = new PermissionController(karld);

The karld will be without version. But PermissionController code was changed and the parameter must have version. So it didn't work. When | change
code to be:

String karld = LSIDUtil.getDocld(karLsid, true);

then the karld will have version and it works.

#2 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5567
